<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="ip__type_8h" kind="file" language="C++">
    <compoundname>ip_type.h</compoundname>
    <innerclass prot="public" refid="struct_d_w___type">DW_Type</innerclass>
    <innerclass prot="public" refid="struct_i_p_c___s_t_r_u_c_t___type">IPC_STRUCT_Type</innerclass>
    <innerclass prot="public" refid="struct_i2_s___type">I2S_Type</innerclass>
    <innerclass prot="public" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</innerclass>
    <innerclass prot="public" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</innerclass>
    <innerclass prot="public" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</innerclass>
    <innerclass prot="public" refid="struct_p_d_m___type">PDM_Type</innerclass>
    <innerclass prot="public" refid="struct_p_r_o_t___m_p_u___m_p_u___s_t_r_u_c_t___type">PROT_MPU_MPU_STRUCT_Type</innerclass>
    <innerclass prot="public" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</innerclass>
    <innerclass prot="public" refid="struct_p_e_r_i___p_p_u___p_r___type">PERI_PPU_PR_Type</innerclass>
    <innerclass prot="public" refid="struct_p_e_r_i___p_p_u___g_r___type">PERI_PPU_GR_Type</innerclass>
    <innerclass prot="public" refid="struct_p_e_r_i___g_r___p_p_u___s_l___type">PERI_GR_PPU_SL_Type</innerclass>
    <innerclass prot="public" refid="struct_p_e_r_i___g_r___p_p_u___r_g___type">PERI_GR_PPU_RG_Type</innerclass>
    <innerclass prot="public" refid="struct_cy_s_c_b___type">CySCB_Type</innerclass>
    <innerclass prot="public" refid="struct_s_m_i_f___type">SMIF_Type</innerclass>
    <innerclass prot="public" refid="struct_t_c_p_w_m___type">TCPWM_Type</innerclass>
    <innerclass prot="public" refid="struct_s_a_r___type">SAR_Type</innerclass>
    <innerclass prot="public" refid="struct_c_t_b_m___type">CTBM_Type</innerclass>
    <innerclass prot="public" refid="struct_c_t_d_a_c___type">CTDAC_Type</innerclass>
    <innerclass prot="public" refid="structcy__stc__efuse__data__t">cy_stc_efuse_data_t</innerclass>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="preprocessor">#if<sp />0</highlight><highlight class="normal" /></codeline>
<codeline lineno="2"><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal">The<sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">type<sp />definition<sp />for<sp />the<sp />hardware<sp />register<sp />set<sp />contained<sp />in<sp />the</highlight></codeline>
<codeline lineno="5"><highlight class="normal">block.<sp />\n</highlight></codeline>
<codeline lineno="6"><highlight class="normal">The<sp />address<sp />of<sp />a<sp />variable<sp />of<sp />this<sp />type<sp />can<sp />be<sp />used<sp />as<sp />the<sp />base<sp />hardware<sp />address</highlight></codeline>
<codeline lineno="7"><highlight class="normal">for<sp />register<sp />access.<sp />A<sp />device<sp />may<sp />support<sp />more<sp />than<sp />one<sp />instance<sp />of<sp />a<sp />peripheral</highlight></codeline>
<codeline lineno="8"><highlight class="normal">block.<sp />\n</highlight></codeline>
<codeline lineno="9"><highlight class="normal">Refer<sp />to<sp />a<sp />device-specific<sp />header<sp />file,<sp />e.g.</highlight></codeline>
<codeline lineno="10"><highlight class="normal">\e<sp />\&lt;PDL_DIR\&gt;/devices/include/cy8c637bzi_bld74.\e<sp />h</highlight></codeline>
<codeline lineno="11"><highlight class="normal">for<sp />the<sp />list<sp />of<sp />block<sp />instances<sp />available<sp />on<sp />that<sp />device.<sp />\n</highlight></codeline>
<codeline lineno="12"><highlight class="normal">Refer<sp />to<sp />the<sp />device<sp />TRM<sp />for<sp />the<sp />block<sp />register<sp />descriptions.</highlight></codeline>
<codeline lineno="13"><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal">The<sp />struct<sp />type<sp />definition<sp />for<sp />the<sp />efuse<sp />memory<sp />organization<sp />and<sp />registers<sp />bitmap</highlight></codeline>
<codeline lineno="18"><highlight class="normal">on<sp />the<sp />selected<sp />device.<sp />\n</highlight></codeline>
<codeline lineno="19"><highlight class="normal">Note<sp />that<sp />the<sp />one<sp />byte<sp />in<sp />this<sp />structure<sp />corresponds<sp />to<sp />the<sp />one<sp />bit<sp />in<sp />the</highlight></codeline>
<codeline lineno="20"><highlight class="normal">device<sp />memory.<sp />\n</highlight></codeline>
<codeline lineno="21"><highlight class="normal">Rerer<sp />to<sp />the<sp />device<sp />TRM<sp />for<sp />the<sp />efuse<sp />memory<sp />organization<sp />on<sp />the<sp />selected<sp />device.</highlight></codeline>
<codeline lineno="22"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="25"><highlight class="normal" /></codeline>
<codeline lineno="31" refid="struct_d_w___type" refkind="compound"><highlight class="normal">typedef<sp />struct<sp />{}<sp /><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref>;</highlight></codeline>
<codeline lineno="39" refid="struct_i_p_c___s_t_r_u_c_t___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><ref kindref="compound" refid="struct_i_p_c___s_t_r_u_c_t___type">IPC_STRUCT_Type</ref>;</highlight></codeline>
<codeline lineno="47" refid="struct_i2_s___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><ref kindref="compound" refid="struct_i2_s___type">I2S_Type</ref>;</highlight></codeline>
<codeline lineno="55" refid="struct_g_p_i_o___p_r_t___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref>;</highlight></codeline>
<codeline lineno="63" refid="struct_l_p_c_o_m_p___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref>;</highlight></codeline>
<codeline lineno="71" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref>;</highlight></codeline>
<codeline lineno="79" refid="struct_p_d_m___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref>;</highlight></codeline>
<codeline lineno="87" refid="struct_p_r_o_t___m_p_u___m_p_u___s_t_r_u_c_t___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_p_r_o_t___m_p_u___m_p_u___s_t_r_u_c_t___type">PROT_MPU_MPU_STRUCT_Type</ref>;</highlight></codeline>
<codeline lineno="95" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</ref>;</highlight></codeline>
<codeline lineno="103" refid="struct_p_e_r_i___p_p_u___p_r___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_p_e_r_i___p_p_u___p_r___type">PERI_PPU_PR_Type</ref>;</highlight></codeline>
<codeline lineno="111" refid="struct_p_e_r_i___p_p_u___g_r___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_p_e_r_i___p_p_u___g_r___type">PERI_PPU_GR_Type</ref>;</highlight></codeline>
<codeline lineno="119" refid="struct_p_e_r_i___g_r___p_p_u___s_l___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_p_e_r_i___g_r___p_p_u___s_l___type">PERI_GR_PPU_SL_Type</ref>;</highlight></codeline>
<codeline lineno="127" refid="struct_p_e_r_i___g_r___p_p_u___r_g___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_p_e_r_i___g_r___p_p_u___r_g___type">PERI_GR_PPU_RG_Type</ref>;</highlight></codeline>
<codeline lineno="135" refid="struct_cy_s_c_b___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref>;</highlight></codeline>
<codeline lineno="143" refid="struct_s_m_i_f___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_s_m_i_f___type">SMIF_Type</ref>;</highlight></codeline>
<codeline lineno="151" refid="struct_t_c_p_w_m___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref>;</highlight></codeline>
<codeline lineno="159" refid="struct_s_a_r___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_s_a_r___type">SAR_Type</ref>;</highlight></codeline>
<codeline lineno="167" refid="struct_c_t_b_m___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_c_t_b_m___type">CTBM_Type</ref>;</highlight></codeline>
<codeline lineno="175" refid="struct_c_t_d_a_c___type" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="struct_c_t_d_a_c___type">CTDAC_Type</ref>;</highlight></codeline>
<codeline lineno="183" refid="structcy__stc__efuse__data__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{}<sp /><sp /><ref kindref="compound" refid="structcy__stc__efuse__data__t">cy_stc_efuse_data_t</ref>;</highlight></codeline>
<codeline lineno="186"><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="mainpage/ip_type.h" />
  </compounddef>
</doxygen>